WordPress.org

Support

Support » How-To and Troubleshooting » Need to restore a Plugin to a previous older version.

Need to restore a Plugin to a previous older version.

  • Hi,

    I updated a menu plugin (“Dropdown Menu Widget”) to the latest version that supposedly supports 3.0.4 and it has caused major display errors. Is there an easy way to restore an updated plugin to a previous version?

    Thanks.

    -Ryder

Viewing 7 replies - 1 through 7 (of 7 total)
  • depends on the DB….

    If you are lucky, you can just delete the files and install the old files, from the ‘Other Version’ option on the plugin page

    If the database stayed the same on upgrade, that’ll do it. If not, could be a fair bit harder

    Thanks for the tip Rev., but unfortunately there’s no older version listed on the plugin page. I emailed the autor to see if he would be willing to post it.

    Otherwise, you may have to see if you can access any file history on your host?

    For instance godaddy has a history tab, I can roll back any file/folder for a month

    Are you talking about this “Dropdown Menu Widget” plugin? If so, all of the older versions are listed there. Good luck.

    Thanks again. I’ll try that. Fortunately the site is hosted on GoDaddy.

    Glad i caught your post. I have updated the calendar plugins from 1.2.3 to 1.3 and it disappeared. I have not updated WordPress at all. I have found the older Calendar version but you say “to erase the old files”. Where do I find those? Can’t I just unzip extract load and run the old version on top of it?

    Thanks for the help

    zab

    Never mind, I got it. à
    . downloaded the older version from the wp Plugins page
    . in the plugins editor I deleted the non-functioning one
    . uploaded the new version from the zip file
    . activated it
    . it all came back to normal.
    Phew.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Need to restore a Plugin to a previous older version.’ is closed to new replies.
Skip to toolbar